Skip to content
Permalink
v1.2.x
Switch branches/tags
Go to file
 
 
Cannot retrieve contributors at this time

Unsupported plugin

The Annotator only supports browsers that have the window.getSelection() method (for a table of support please see this Quirksmode article). This plugin provides a notification to users of these unsupported browsers letting them know that the plugin has not loaded.

Usage

Adding the unsupported plugin to the annotator is very simple. Simply add the annotator to the page using the .annotator() jQuery plugin. Then call the .addPlugin() method eg. .annotator('addPlugin', 'Unsupported').

var content = $('#content').annotator();
content.annotator('addPlugin', 'Unsupported');

Options

You can provide options

  • message: A customised message that you wish to display to users.

message

The message that you wish to display to users.

var annotator = $('#content').annotator().data('annotator');

annotator.addPlugin('Unsupported', {
  message: "We're sorry the Annotator is not supported by this browser"
});